Bug 15953 - Cannot Execute /bin/sh After SCSI Module Loading
Summary: Cannot Execute /bin/sh After SCSI Module Loading
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-10 21:46 UTC by Evan DiBiase
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-13 19:37:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Evan DiBiase 2000-08-10 21:46:07 UTC
Pinstripe appears to have major problems with the ncr53c8xx SCSI driver and
my Matshita CW-7503 CD-R drive (which I also use for my main CD-ROM drive).
After the installer loads the ncr53c8xx module, the VC on F3 reports:

* trying to mount device scd0
* loopfd is 6
* found url image cdrom://scd0/mnt/source
* getting ready to spawn shell now
* exec of /bin/sh failed: Exec format error

The installer on F1 then reports that it exited abnormally, and that it's
safe to reboot the system.

Comment 1 Bill Nottingham 2000-08-11 03:06:07 UTC
Is this CD made directly from the ISO image, or from
another tree?  Does the md5sum of the ISO match
the one for the pinstripe ISOs?

Comment 2 Evan DiBiase 2000-08-11 13:23:16 UTC
The CD was made directly from an ISO image, but I forgot to verify the md5sum.
Also, xcdroast is telling me that there's a read error at 99% on the CD, so this
could indicate that something went wrong during the burn or that the ISO that
came out on this end was not the same ISO that was up on metalab. I'll
redownload, check the sums, reburn, and report back.

Comment 3 Glen Foster 2000-08-13 19:37:30 UTC
A defect like this after the public-beta has gone out is potentially serious.  I
will monitor this defect (as well as Bill) and I/we look forward to your timely
report on what you've found. Thanks!

Comment 4 Michael Fulbright 2000-08-15 15:10:44 UTC
Please reopen this bug if you continue to have problems.


Note You need to log in before you can comment on or make changes to this bug.